
QGIS Application - Bug report #6740

Rendering in 1.9.0+git20121119+2613cf6~precise1

2012-11-21 02:19 AM - Jorge Rocha

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15902

Description

Since around November 6th (not sure), the rendering of certain line shapefiles is only working at some zoom levels.

The layers are displyed at very small zoom levels, like 1:500000 or 1:250000, but not at higher zoom levels, like 1:25000 or 1:10000.

Attached is one example. The shapefile is not rendered at higher zoom levels.

But if the same shapefile is converted from the EPSG:4326 to EPSG:3763 it is displayed normaly, at all zoom levels.

Example:

ogr2ogr -overwrite -skipfailures -f "ESRI Shapefile" vias.shp -s_srs EPSG:4236 -t_srs EPSG:3763 -nln vias Eixos.shp

It seems (without any evidence) that this is related with geographic coordinates. With projeted coordinates, is behaves normaly.

This is only happening in the last one or two weeks. I'm using qgis from http://qgis.org/debian-nightly/

QGIS version

1.9.0-Master

QGIS code revision

exported

Compiled against Qt

4.8.1

Running against Qt

4.8.1

Compiled against GDAL/OGR

1.7.3

Running against GDAL/OGR

1.7.3

GEOS Version

3.2.2

PostgreSQL Client Version

9.1.5

SpatiaLite Version

3.1.0-RC2

QWT Version

5.2.2

PROJ.4 Version

470

QScintilla2 Version

jgr@beijing:~$ dpkg -l | grep qgis
http://qgis.org/debian-nightly/


ii  libqgis1.9.0                             1.9.0+git20121119+2613cf6~precise1                   Quantum GIS - shared libraries

ii  python-qgis                              1.9.0+git20121119+2613cf6~precise1                   Python bindings to Quantum GIS

ii  python-qgis-common                       1.9.0+git20121119+2613cf6~precise1                   Python bindings to Quantum GIS -

architecture-independent files

ii  qgis                                     1.9.0+git20121119+2613cf6~precise1                   Geographic Information System (GIS)

ii  qgis-common                              1.9.0+git20121119+2613cf6~precise1                   Quantum GIS - architecture-independent data

ii  qgis-plugin-globe                        1.9.0+git20121119+2613cf6~precise1                   OSG globe plugin for Quantum GIS

ii  qgis-plugin-globe-common                 1.9.0+git20121119+2613cf6~precise1                   OSG GLOBE plugin for Quantum GIS -

architecture-independent data

ii  qgis-providers                           1.9.0+git20121119+2613cf6~precise1                   collection of data providers to Quantum GIS

ii  qgis-providers-common                    1.9.0+git20121119+2613cf6~precise1                   collection of data providers to Quantum GIS -

architecture-independent files

History

#1 - 2012-11-21 02:25 AM - Jorge Rocha

- File shapes.tgz added

Attached are two shapefiles.

The one in EPSG:4326 (Eixos.shp) which does not show at higher zoom levels.

The other (vias.shp) which behave normaly. This second one was generated with:

ogr2ogr -overwrite -skipfailures -f "ESRI Shapefile" vias.shp -s_srs EPSG:4236 -t_srs EPSG:3763 -nln vias Eixos.shp

#2 - 2012-11-24 07:42 AM - Giovanni Manghi

- Operating System deleted (U)

- Status changed from Open to Feedback

Jorge Rocha wrote:

Attached are two shapefiles.

The one in EPSG:4326 (Eixos.shp) which does not show at higher zoom levels.

The other (vias.shp) which behave normaly. This second one was generated with:

[...]

Hi Jorge,

I'm also on master here and I have no problems with your data.

Are you on Ubuntu? if yes, youe are using the wrong repo (that is for debian).

Please purge your qgis packages, and use this

deb     http://qgis.org/ubuntugis-nightly precise main

together with the Ubuntugis one, then try again.
#3 - 2012-11-24 10:02 AM - Jorge Rocha

- Status changed from Feedback to Closed

Ciao Gio,

Thanks for the feedback. In fact I had both repositories in my sources.list, and the apt policy was choosing http://qgis.org/debian-nightly instead of 

http://qgis.org/ubuntugis-nightly.

jgr@beijing:/etc/apt$ grep qgis *

sources.list:deb http://qgis.org/ubuntugis-nightly precise main

sources.list:deb-src http://qgis.org/ubuntugis-nightly precise main

sources.list:deb http://qgis.org/debian-nightly precise main

sources.list:deb-src http://qgis.org/debian-nightly precise main

Removing the http://qgis.org/debian-nightly and purging qgis solved the problem.

Lessons learned: debian and ubuntu builds are slightly different :-)

Regards,

Jorge

Files

shapes.tgz 1.71 MB 2012-11-21 Jorge Rocha
